<html ng-app="myApp">
<head>
</head>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.4/angular.min.js"></script>
<script>
var app = angular.module("myApp", []);

app.controller("myCtrl", function($scope) {
var samplearray = [1,2,3,4,5,6,7,8,9,2,3,4,5,6,7,8,9,10,10,13,13];



var finalarray = samplearray.sort(function(a, b) {
  return a - b;
});


 var arrayC = [];

for (var i = 0; i < finalarray.length; i=i+1) {
	if (finalarray[i] == finalarray[i+1]) {	
	arrayC.push(finalarray[i]);		
	};
};

console.log(finalarray);
console.log(arrayC);

 	Array.prototype.diff = function (a) {
    return this.filter(function (i) {
        return a.indexOf(i) === -1;
    });
};
 	var a = finalarray.diff(arrayC);
 	console.log(a);








function myfunction(name){
  this.name = name;
  this.details = function(){
    return ("this is " + this.name + "details");
  }
}
myfunction.prototype.job = "s/w engg";
myfunction.prototype.jobdetails = function(){
  return ("this is " +this.name+ " new " + "job i.e.., " + this.job)
}
var a = new myfunction("hari");

console.log(a.jobdetails());







function init(){
		var myvar = "this is sample closure example";
		function displayname () {
			alert(myvar);
		}
		displayname();
};
init();





});








</script>
<body ng-controller="myCtrl">




</body>




</html>